Bug 190972 - [MAINTAINER] sysutils/heartbeat: Support STAGEDIR
[MAINTAINER] sysutils/heartbeat: Support STAGEDIR
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: --- Affects Many People
Assigned To: Thomas Zander
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-06-12 16:43 UTC by ports
Modified: 2014-06-16 17:41 UTC (History)
1 user (show)

See Also:


Attachments
SVN Diff (21.81 KB, text/plain)
2014-06-12 16:44 UTC, ports
ports: maintainer‑approval+
Details
Revision of submitted patch to address some open issues (23.53 KB, patch)
2014-06-14 21:22 UTC, Thomas Zander
riggs: maintainer‑approval?
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description ports 2014-06-12 16:43:49 UTC
An update to support the use of STAGEDIR. Appears to pass the checks outlined on the migration page.
Comment 1 ports 2014-06-12 16:44:48 UTC
Created attachment 143714 [details]
SVN Diff
Comment 2 Thomas Zander freebsd_committer 2014-06-14 21:22:09 UTC
Created attachment 143781 [details]
Revision of submitted patch to address some open issues

I have corrected some open issues with the provided patch, most of them plist violations, most of which on 9.x systems without PKGNG.

Review, test and approval by maintainer would be appreciated.
Comment 3 ports 2014-06-16 13:50:22 UTC
Looks good. Thanks!
Comment 4 commit-hook freebsd_committer 2014-06-16 17:40:22 UTC
A commit references this bug:

Author: riggs
Date: Mon Jun 16 17:39:40 UTC 2014
New revision: 358028
URL: http://svnweb.freebsd.org/changeset/ports/358028

Log:
  - Stagify
  - Handle user account creation via Makefile rather than pkg-install
  - Handle permissions and ownerships via pkg-plist
  - USE_* -> USES
  - Add LICENSE
  - Bump PORTREVISION

  PR:		190972
  Submitted by:	ports@encarnate.com (maintainer)
  Reviewed by:	maintainer
  Approved by:	maintainer, mentors (implicit)

Changes:
  head/sysutils/heartbeat/Makefile
  head/sysutils/heartbeat/files/patch-tools-Makefile.am
  head/sysutils/heartbeat/files/pkg-install.in
  head/sysutils/heartbeat/pkg-plist